<ng-container *transloco="let t">
  <h2 mat-dialog-title class="primary-title dialog-header-spacing">{{data.clearanceItem.product_name}}</h2>
  <mat-dialog-content class="mat-typography dialog-content-text-color content-padding-top">
    <div class="grid-container">
      <span class="info-header">{{t('clearances.release_date')}}:</span>
      <span>{{data.clearanceItem.product_release_at|productReleaseAt:data.clearanceItem.product_release_at_precision}}</span>
      <span class="info-header">{{t('clearances.description')}}:</span>
      <span class="description">{{data.clearanceItem.description|translate:t('clearances.not_available')}}</span>
      <span class="info-header">{{t('clearances.info_reference')}}:</span>
      <ng-container *ngIf="data.clearanceItem.info_source_type === INFO_SOURCE_TYPE.PUBLIC_WEBSITE; else noContent">
        <span>
          <li *ngFor="let content of data.clearanceItem.info_source_content" class="text-clamp">
            <span *ngIf="content.label">{{content.label|translate}}&nbsp;</span>
            <a
              [href]="content.reference_url"
              target="_blank"
              rel="noopener noreferrer">
              {{content.reference_url}}
            </a>
          </li>
        </span>
      </ng-container>
      <ng-template #noContent>
        <span>{{t('clearances.not_available')}}</span>
      </ng-template>
      <span class="info-header">{{t('clearances.info_updated_at_th')}}:</span>
      <span>{{data.clearanceItem.info_updated_at| dateCorrection | translocoDate: { dateStyle: 'medium' } }}</span>
      <span class="info-header">{{t('clearances.info_provider')}}:</span>
      <span>{{data.clearanceItem.info_provider}}</span>
      <span class="info-header">{{t('filters.analysis')}}</span>
      <app-translated-tag-list [tags]="data.clearanceItem.tags?.analysis"></app-translated-tag-list>
      <span class="info-header">{{t('clearances.clearance')}}</span>
      <app-translated-tag-list [tags]="data.clearanceItem.tags?.clearances"></app-translated-tag-list>
      <span class="info-header">{{t('filters.image_types')}}</span>
      <app-translated-tag-list [tags]="data.clearanceItem.tags?.image_types"></app-translated-tag-list>
      <span class="info-header">{{t('filters.indications')}}</span>
      <app-translated-tag-list [tags]="data.clearanceItem.tags?.indications"></app-translated-tag-list>
      <span class="info-header">{{t('filters.procedures')}}</span>
      <app-translated-tag-list [tags]="data.clearanceItem.tags?.procedures"></app-translated-tag-list>
      <span class="info-header">{{t('filters.stains')}}</span>
      <app-translated-tag-list [tags]="data.clearanceItem.tags?.stains"></app-translated-tag-list>
      <span class="info-header">{{t('filters.tissues')}}</span>
      <app-translated-tag-list [tags]="data.clearanceItem.tags?.tissues"></app-translated-tag-list>
    </div>
  </mat-dialog-content>
  <mat-divider></mat-divider>
  <div class="button-container">
    <button
      mat-flat-button
      color="primary"
      class="round-button"
      [mat-dialog-close]="undefined">
      {{t('general_forms.close')}}
    </button>
    <button
      *ngIf="!data.isActiveItem"
      mat-flat-button
      color="primary"
      class="round-button"
      [mat-dialog-close]="true">
      {{t('clearances.activate_action')}}
    </button>
  </div>
</ng-container>
